User Profiles
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200Success
application/json
idstringRequired
createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
userCognitoSubstringRequired
isFirstVisitbooleanRequired
namestringOptional
emailstringRequired
identityProviderstring · enumRequiredPossible values:
The identity provider used to authenticate the user.
401
Invalid authentication credentials.
403
User does not have a required claim to perform this operation.
get
/api/v1/user-profiles/meAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
isFirstVisitbooleanOptional
Responses
200Success
application/json
idstringRequired
createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
userCognitoSubstringRequired
isFirstVisitbooleanRequired
namestringOptional
emailstringRequired
identityProviderstring · enumRequiredPossible values:
The identity provider used to authenticate the user.
401
Invalid authentication credentials.
403
User does not have a required claim to perform this operation.
patch
/api/v1/user-profiles/meAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200Success
application/json
idstringRequired
createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
userCognitoSubstringRequired
isFirstVisitbooleanRequired
namestringOptional
emailstringRequired
identityProviderstring · enumRequiredPossible values:
The identity provider used to authenticate the user.
400
Invalid request parameters.
401
Invalid authentication credentials.
403
User does not have a required claim to perform this operation.
404
User profile not found.
delete
/api/v1/user-profiles/me/imageAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
imagestring · binaryRequired
Responses
201Success
application/json
400
Invalid request body.
401
Invalid authentication credentials.
403
User does not have a required claim to perform this operation.
404
User profile not found.
413
Image exceeds the allowed size.
415
Unsupported media type.
patch
/api/v1/user-profiles/me/imageLast updated